SEO-CheckUp
===========

Analyse wichtiger SEO-Kriterien der Artikel-Livedaten und Anzeige der Ergebnisse in der Sidebar des Artikels & in der Übersichtsseite.

Prüfung u.A. von: Seitentitel, Seitenbeschreibung, H1, Content, Bilder, Lesbarkeit (Flesch), Fokus-Keyword, WDF und OpenGraph.
Weitere Funktionen u.A.: Schnelltest in der Sidebar, Artikelübersicht mit allen Ergebnissen, SERP-Snippet

![screenshot](https://user-images.githubusercontent.com/4291047/65507701-c5857d80-dece-11e9-8526-54392478404a.jpg)

Features
--------
- Schnelltest in der Sidebar des Artikels
- Anzeige des Ergebnisses bei zugeklapptem Sidebar-Panel
- Test auf Fokus-Keyword(s)
- SERP-Snippet
- Konfiguration von Sidebar-Panel & Prüfkriterien
- Konfigurierbare Übersichtsseite aller Artikel (nach Sprachen sortiert) mit Testfunktion
- Auslesen der Daten über den Quelltext der Liveversion des Artikels sowie - sofern vorhanden - aus yRewrite
- Hinweis auf Artikelstatus sowie vorhandene Weiterleitung (rex_redirect)

Prüfkriterien
-------------
- Seitentitel (Vorhandensein, Länge & Wortanzahl)
- Seitenbeschreibung (Vorhandensein, Länge & Wortanzahl)
- OpenGraph-Tags (Vorhandensein, Titel/Beschreibung/URL gesetzt)
- H1-Überschrift (Vorhandensein, mehrfaches Vorkommen)
- Überschriftenstruktur (H1-H6)
- Content (Länge, Vorhandensein der Wörter aus Seitentitel & H1)
- Bold/Strong-Tags (Vorhandensein, Anzahl, Länge, leere Tags)
- Bilder (Vorhandensein, leere ALT-Attribute)
- Verlinkungen (Vorhandensein)
- URL-Länge/-Tiefe
.
- Fokus-Keyword im Seitentitel
- Fokus-Keyword in der Seitenbeschreibung
- Fokus-Keyword in der URL
- Fokus-Keyword in der H1
- Fokus-Keyword im Content
- Fokus-Keyword in Bildern vorhanden (alt, title, src)
- Platzierung des Fokus-Keywords im Content & den Metadaten
- Keyword-Dichte
- WDF-Kalkulator
- Fokus-Keyword einmal/mehrmals innerhalb der Webseite

-----

### Changelog
siehe CHANGELOG.md des AddOns

-----

### Credits
WDF-Kalkulator: Ronny Kemmereit (https://github.com/rkemmere)